in scala.collection.immutable
class TreeMap

[scala.serializable]
`class` TreeMap [A, +B]
  `extends` scala.collection.immutable.RedBlack[A]
  `with` scala.collection.immutable.Map[A, B]
  `with` scala.ScalaObject

  This class implements immutable maps using a tree.

Author:
  Erik Stenman
Author:
  Matthias Zenger
Version:
  1.1, 03/05/2004

Constructor Summary
| `def` this ()(view$4: (A) => scala.Ordered[A])
| `def` this (size: scala.Int, t: scala.collection.immutable.RedBlack.Tree[B])(view$3: (A) => scala.Ordered[A])

Val Summary
| `val` size : scala.Int
`protected` | `val` tree : scala.collection.immutable.RedBlack.Tree[B]

Def Summary
| `def` - (key: A) : scala.collection.immutable.TreeMap[A, B]
`override` | `def` apply (key: A) : B Retrieve the value which is associated with the given key. This method throws an exception if there is no mapping from the given key to a value.
| `def` elements : scala.Iterator[scala.Tuple2[A, B]] Creates a new iterator over all elements contained in this object.
| `def` empty [C] : scala.collection.immutable.ListMap[A, C] A factory to create empty maps of the same type of keys.
`override` | `def` get (key: A) : scala.Option[B] Check if this map maps `key` to a value and return the value if it exists.
| `def` insert [B1 >: B] (key: A, value: B1) : scala.collection.immutable.TreeMap[A, B1] A new TreeMap with the entry added is returned, assuming that key is not in the TreeMap.
| `def` isSmaller (x: A, y: A) : scala.Boolean
| `def` update [B1 >: B] (key: A, value: B1) : scala.collection.immutable.TreeMap[A, B1] A new TreeMap with the entry added is returned, if key is not in the TreeMap, otherwise the key is updated with the new entry.

Def inherited from scala.collection.immutable.RedBlack[A]
blacken , isSmaller, mkTree

Def inherited from scala.collection.immutable.Map[A, B]
+ , +, +, ++, ++, -, -, --, --, empty, excl, excl, filter, incl, incl, mappingToString, transform, update, withDefault, withDefaultValue

Constructor Detail

`def` this ()(view$4: (A) => scala.Ordered[A])

`def` this (size: scala.Int, t: scala.collection.immutable.RedBlack.Tree[B])(view$3: (A) => scala.Ordered[A])

Val Detail

`val` size : scala.Int

`protected val` tree : scala.collection.immutable.RedBlack.Tree[B]

Def Detail

`def` - (key: A): scala.collection.immutable.TreeMap[A, B]

`override def` apply (key: A): B

  Retrieve the value which is associated with the given key. This method throws an exception if there is no mapping from the given key to a value.

Parameters:
  `key -` the key
Returns:
  the value associated with the given key.
Throws:
  `Error("key -` not found").

`def` elements : scala.Iterator[scala.Tuple2[A, B]]

  Creates a new iterator over all elements contained in this object.

Returns:
  the new iterator

`def` empty [C]: scala.collection.immutable.ListMap[A, C]

  A factory to create empty maps of the same type of keys.

`override def` get (key: A): scala.Option[B]

  Check if this map maps `key` to a value and return the value if it exists.

Parameters:
  `key -` the key of the mapping of interest
Returns:
  the value of the mapping, if it exists

`def` insert [B1 >: B](key: A, value: B1): scala.collection.immutable.TreeMap[A, B1]

  A new TreeMap with the entry added is returned, assuming that key is not in the TreeMap.

`def` isSmaller (x: A, y: A): scala.Boolean

`def` update [B1 >: B](key: A, value: B1): scala.collection.immutable.TreeMap[A, B1]

  A new TreeMap with the entry added is returned, if key is not in the TreeMap, otherwise the key is updated with the new entry.

Parameters:
  `key -` ...
Parameters:
  `value -` ...
Returns:
  ...